org.apache.sysds.runtime.controlprogram.federated

## Class FederatedLocalData

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedData
  - - org.apache.sysds.runtime.controlprogram.federated.FederatedLocalData

-     public class FederatedLocalData
      extends FederatedData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedLocalData(long id, CacheableData<?> data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FederatedData` | `copyWithNewID(long varID)` Make a copy of the `FederatedData` metadata, but use another varID (refer to another object on worker)
    `Future<FederatedResponse>` | `executeFederatedOperation(FederatedRequest... request)`

    - ### Methods inherited from class org.apache.sysds.runtime.controlprogram.federated.FederatedData

      `clearFederatedWorkers, executeFederatedOperation, getAddress, getDataType, getFilepath, getVarID, initFederatedData, initFederatedData, isInitialized, resetFederatedSites, setVarID, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FederatedLocalData

          public FederatedLocalData(long id,
                                    CacheableData<?> data)

  - ### Method Detail

    - #### copyWithNewID

          public FederatedData copyWithNewID(long varID)

      Description copied from class: `FederatedData`
      Make a copy of the `FederatedData` metadata, but use another varID (refer to another object on worker)
      Overrides:
        `copyWithNewID` in class `FederatedData`
      Parameters:
        `varID` - the varID of the variable we refer to
      Returns:
        new `FederatedData` with different varID set

    - #### executeFederatedOperation

          public Future<FederatedResponse> executeFederatedOperation(FederatedRequest... request)

      Overrides:
        `executeFederatedOperation` in class `FederatedData`

Copyright © 2021 The Apache Software Foundation. All rights reserved.